## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - u -

- UInt16() : csSetToAddress, csGetFromAddress, csBigEndian, csLittleEndian, csSwapBytes
- UInt32() : csSetToAddress, csGetFromAddress, csBigEndian, csLittleEndian, csSwapBytes
- UInt64() : csSetToAddress, csGetFromAddress, csBigEndian, csLittleEndian, csSwapBytes
- UnbindAll() : iInputBinder, csInputBinder
- UnbindAxis() : iInputBinder, csInputBinder
- UnbindButton() : iInputBinder, csInputBinder
- UncacheFont() : csFontCache
- UncacheGlyph() : csFontCache
- Unflatten() : csEventFlattener
- Union() : csSphere, csRect
- Unit() : csVector4T< T >, csVector3, csDVector3
- UnitTest() : iDebugHelper, csGraphics2D, csTiledCoverageBuffer, csGeomDebugHelper, csKDTree
- Unlink() : awsEmbeddedComponent, iAwsComponent
- UnlinkObject() : csKDTree
- UnlinkObjects() : iSector
- UnlinkShadow() : iShadowBlock
- UnloadPlugin() : iPluginManager, csPluginManager
- UnloadUnusedModules() : iSCF
- Unlock() : iPolygonMesh, csEventCord, csRenderBufferLock< T, TbufferKeeper >, csPolygonMeshBox, csPolygonMesh
- UnlockMemory() : iSoundDriver
- UnmapWindow() : csPlatformMemoryMappingWin32, csPlatformMemoryMappingPosix, csPlatformMemoryMappingDummy
- Unmark() : iAws
- UnMaximize() : awsEmbeddedComponent, iAwsComponent
- Unmount() : iVFS
- UnpackRGBAtoRGBcolor() : csPackRGBA
- UnpackRGBAtoRGBpixel() : csPackRGBA
- UnpackRGBtoRGBcolor() : csPackRGB
- UnpackRGBtoRGBpixelBuffer() : csPackRGB
- Unpause() : iSndSysStream
- UnPause() : iMovieRecorder
- Unprepare() : iThingState
- Unqueue() : iJobQueue, csThreadJobQueue
- Unregister() : iObjectRegistry, iRenderLoopManager, csObjectRegistry
- UnregisterClass() : iSCF
- UnregisterPortalMesh() : iSector
- UnregisterShader() : iShaderManager
- UnregisterSlot() : awsEmbeddedComponent, iAwsSource
- UnregisterSound() : iSoundRender
- UnregisterVisObject() : iVisibilityCuller
- UnsafeAdd() : csRGBpixel
- UnsetChangeAlpha() : iParticleState, csNewParticleSystem, csParticleSystem
- UnsetChangeColor() : iParticleState, csNewParticleSystem, csParticleSystem
- UnsetChangeRotation() : iParticleState, csNewParticleSystem, csParticleSystem
- UnsetChangeSize() : iParticleState, csNewParticleSystem, csParticleSystem
- UnsetFocus() : awsEmbeddedComponent, iAwsComponent
- UnSetModal() : iAws
- UnSetSelfDestruct() : iParticleState, csNewParticleSystem, csParticleSystem
- UnsetTexture() : iSprite3DState
- Unsubscribe() : iEventQueue, csEventTree, csEventQueue
- Upcase() : iString, scfString, csStringBase
- Update() : iRigidBody, csNewParticleSystem, csNewtonianParticleSystem, csParticleSystem
- UpdateBounds() : csNewParticleSystem
- UpdateClipper() : iView, csView
- UpdateColors() : iGenMeshAnimationControl
- UpdateLighting() : iParticle, csNewParticleSystem
- UpdateMove() : iMovable
- UpdateName() : csImageCubeMapMaker
- UpdateNormals() : iGenMeshAnimationControl
- UpdatePosition() : iAnimTimeUpdateHandler
- UpdateTexels() : iGenMeshAnimationControl
- UpdateVertices() : iGenMeshAnimationControl, csTriangleVerticesCost, csTriangleVertices
- UseOwnMessageLoop() : iWin32Assistant
- UseTexture() : iTextureCallback
- UsingRectParticles() : iEmitState
- UTF16Decode() : csUnicodeTransform
- UTF16Rewind() : csUnicodeTransform
- UTF16Skip() : csUnicodeTransform
- UTF16to32() : csUnicodeTransform
- UTF16to8() : csUnicodeTransform
- UTF32Decode() : csUnicodeTransform
- UTF32Rewind() : csUnicodeTransform
- UTF32Skip() : csUnicodeTransform
- UTF32to16() : csUnicodeTransform
- UTF32to8() : csUnicodeTransform
- UTF8Decode() : csUnicodeTransform
- UTF8Rewind() : csUnicodeTransform
- UTF8Skip() : csUnicodeTransform
- UTF8to16() : csUnicodeTransform
- UTF8to32() : csUnicodeTransform